org.apache.ignite.lang

## Interface IgniteRunnable

All Superinterfaces:
  Runnable, Serializable

All Known Implementing Classes:
  CA, CAX, GridAbsClosure, GridAbsClosureX, GridNioMessageTracker

    public interface IgniteRunnable
    extends Runnable, Serializable

Grid-aware adapter for `Runnable` implementations. It adds `Serializable` interface to `Runnable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.run(IgniteRunnable)` method.

### Method Summary

### Methods inherited from interface java.lang.Runnable

`run`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015